routes/admin.php
  	Route::get('users/export', 'UserController@export')->name('users.export')->middleware('permission');
	// Route::get('users/detail', 'UserController@detail')->name('users.detail');
	Route::get('users/export', 'UserController@export')->name('users.export')->middleware('permission');
	Route::resource('users', 'UserController')->middleware('permission');
	Route::get('users/ban/{customer}', 'UserController@ban')->name('users.ban')->middleware('permission');
	Route::delete('/users/destroy/{id}', 'UserController@destroy')->name('users.destroy')->middleware('permission');
	Route::get('/transactions', 'UserController@transactions')->name('users.transactions')->middleware('permission');
	Route::post('users/update-status/{id}', 'UserController@changeStatus')->name('users.updatestatus')->middleware('permission');
	Route::post('users/update-status-block/{id}', 'UserController@changeStatus2')->name('users.updatestatusblock')->middleware('permission');
	Route::post('users/update-information/{id}', 'UserController@update')->name('users.update')->middleware('permission');
	Route::post('users/update-business/{id}', 'UserController@updateimg')->name('users.updateimg')->middleware('permission');
	Route::delete('/users/{id}/detail', 'UserController@deleteImg')->name('users.deleteImg')->middleware('permission');



	//Route Order
	// Route::get('orders2', 'OrderController@index2') -> name ('orders2.index');
	Route::prefix('orders')->middleware('permission')->name('orders.')->group(function(){
		Route::get('/detail/{id}', 'OrderController@detail')->name('detail');
		Route::get('/', 'OrderController@index')->name('index');
		Route::get('/create', 'OrderController@create')->name('create');
		Route::get('/export', 'OrderController@export')->name('export');
		Route::delete('/delete-order/{id}', 'OrderController@deleteOrder')->name('deleteOrder');
		Route::post('/change-status-order/{id}','OrderController@changeStatusOrder')->name('changeStatusOrder');
		Route::post('/update-delivery/{id}','OrderController@updateDelivery')->name('updateDelivery');
		Route::post('store', 'OrderController@store')->name('store');
		Route::post('update-nfor/{id}', 'OrderController@updateInfor')->name('updateInfor');
		Route::post('update-delivery-method/{id}', 'OrderController@updateDeliveryMethod')->name('updateDeliveryMethod');
		Route::post('update-reason-cancel/{id}', 'OrderController@updateReasonCancel')->name('updateReasonCancel');
		Route::post('validate-order', 'OrderController@validateOrder')->name('validateOrder');
		Route::post('validate-delivery', 'OrderController@validateDelivery')->name('validateDelivery');
		Route::post('upload-imgsend','OrderController@uploadImgSend')->name('uploadImgSend');
		Route::post('/update-info-order/{id}','OrderController@updateInfoOrder')->name('updateInfoOrder');
        Route::post('refund','OrderController@refund')->name('refund');
		Route::post('/change-status-cancel/{id}','OrderController@changeStatusCancel')->name('changeStatusCancel');
		Route::post('/update-img-reason/{id}','OrderController@updateImgReason')->name('updateImgReason');
		Route::post('change-status-all-cancel/{id}','OrderController@changeStatusAllCancel')->name('changeStatusAllCancel');
		Route::post('validate-product','OrderCollection@validateProduct')->name('validateProduct');
		Route::post('/change-status-confirm-admin/{id}','OrderController@changestatusAdminConfirm')->name('changestatusAdminConfirm');
		Route::post('/change-status-unpaid/{id}','OrderController@changeStatusUnpaid')->name('changeStatusUnpaid');
		Route::post('validated','OrderController@validatedOrder')->name('validatedOrder');
	});




	//Route Banners
	Route::prefix('banners')->middleware('permission')->name('banners.')->group(function(){
		Route::get('/', 'BannerController@index')->name('index');
		Route::get('/{id}/detail', 'BannerController@detail')->name('detail');
		Route::get('/export', 'BannerController@export')->name('export');
		Route::delete('/delete-banners/{id}', 'BannerController@delete')->name('bannersDelete');
		Route::post('/status/{id}', 'BannerController@changeStatus')->name('status');
		Route::post('/update-info/{id}','BannerController@updateInfor')->name('updateInfor');
		Route::post('/update-collection/{id}','BannerController@updateCollection')->name('updateCollection');
		Route::get('/create','BannerController@create')->name('create');
		Route::post('/store','BannerController@store')->name('store');
		Route::post('check-store','BannerController@checkStore')->name('checkStore');
		Route::post('validate-banner-info','BannerController@validateBannerInfor')->name('validateBannerInfor');
		Route::post('validate-banner-collection','BannerController@validateBannerCollection')->name('validateBannerCollection');
		Route::post('change-status-1/{id}','BannerController@changeStatus1')->name('changeStatus1');
		Route::post('change-status-2/{id}','BannerController@changeStatus2')->name('changeStatus2');
		Route::post('change-status-3/{id}','BannerController@changeStatus3')->name('changeStatus3');
		Route::post('change-status-4/{id}','BannerController@changeStatus4')->name('changeStatus4');
		Route::post('/update-images/{id}','BannerController@updateImageBanner')->name('updateImageBanner');
		Route::post('validate','BannerController@validated')->name('validated');
	});

	





	//Route Notifications
	Route::group(['prefix' => 'notifications','middleware' => 'permission'],function(){
		Route::get('/', 'NotificationController@index')->name('notifications.index');
		Route::get('detail/{id}', 'NotificationController@detail')->name('notifications.detail');
		Route::post('status/{id}', 'NotificationController@changeStatus')->name('notifications.status');
		Route::delete('destroy/{id}', 'NotificationController@destroy')->name('notifications.destroy');
		Route::get('create', 'NotificationController@create')->name('notifications.create');
		Route::post('store', 'NotificationController@store')->name('notifications.store');
		Route::post('infor/{id}', 'NotificationController@updateInfor')->name('notifications.infor');
		Route::post('descript/{id}', 'NotificationController@updateDescript')->name('notifications.descript');
		Route::post('send-notification/{id}', 'NotificationController@sendNotification')->name('notifications.send');
		Route::get('export', 'NotificationController@export')->name('notifications.export');
		Route::post('validate-infor', 'NotificationController@checkNotiInfor')->name('notifications.validateinfor');
		Route::post('validate-descript', 'NotificationController@checkNotiDescript')->name('notifications.validatedescript');
		Route::post('validate/image', 'NotificationController@validateImage')->name('notifications.validate_image');
		Route::post('validate', 'NotificationController@validated')->name('notifications.validated');
	});


	//Route Team members
	Route::get('members','TeamMembersController@index')->name('members.index')->middleware('permission');
	Route::get('members/create','TeamMembersController@create')->name('members.create')->middleware('permission');
	Route::post('members/store','TeamMembersController@store')->name('members.store')->middleware('permission');
	Route::get('members/edit/{id}','TeamMembersController@edit')->name('members.edit')->middleware('permission');
	Route::post('members/updateInfor/{id}','TeamMembersController@updateInfor')->name('members.updateInfor')->middleware('permission');
	Route::post('members/updateRole/{id}','TeamMembersController@updateRole')->name('members.updateRole')->middleware('permission');
	Route::get('members/export','TeamMembersController@export')->name('members.export')->middleware('permission');
	Route::post('members/status/{id}', 'TeamMembersController@changeStatus')->name('members.status')->middleware('permission');
	Route::post('members/block/{id}', 'TeamMembersController@blockMember')->name('members.blocked')->middleware('permission');
	Route::delete('members/destroy/{id}', 'TeamMembersController@destroy')->name('members.destroy')->middleware('permission');
	Route::post('members/change-password', 'TeamMembersController@changePassword')->name('members.change-password')->middleware('permission');
	Route::post('members/validate-infor', 'TeamMembersController@validateMemberInfor')->name('members.validate-infor')->middleware('permission');
	Route::post('members/validate-roles', 'TeamMembersController@validateMemberRole')->name('members.validate-roles')->middleware('permission');
	Route::post('members/validate/image', 'TeamMembersController@validateImage')->name('members.validate_image')->middleware('permission');
	Route::post('members/validate', 'TeamMembersController@validated')->name('members.validated')->middleware('permission');






    Route::resource('profile', 'ProfileController');


    Route::resource('roles', 'RoleController')->middleware('permission');
    Route::get('/roles/edit/{id}', 'RoleController@edit')->name('roles.edit')->middleware('permission');
    Route::get('/roles/destroy/{id}', 'RoleController@destroy')->name('roles.destroy')->middleware('permission');

    // uploaded files
    Route::any('/uploaded-files/file-info', 'AizUploadController@file_info')->name('uploaded-files.info');
    Route::resource('/uploaded-files', 'AizUploadController');
    Route::get('/uploaded-files/destroy/{id}', 'AizUploadController@destroy')->name('uploaded-files.destroy');

    Route::resource('collections', 'CollectionController')->middleware('permission');
    Route::group(['prefix' => 'collections','middleware' => 'permission'],function(){
        Route::get('information/{id}', 'CollectionController@information')->name('collections.information');
        Route::post('status/{id}', 'CollectionController@changeStatus')->name('collections.status');
        Route::post('infor/{id}', 'CollectionController@updateInfo')->name('collections.info');
        Route::post('product/{id}', 'CollectionController@addProduct')->name('collections.product');

routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use App\Http\Controllers\TermsController;
use Illuminate\Support\Facades\Route;

Route::get('', function () {
    return redirect()->route('admin.dashboard');
});

Route::get('webview/address', function () {
    return view('webview.address');
});
Route::get('/policy','PageController@policy')->name('policy.index');
Route::get('/terms','PageController@term')->name('terms.index');


Route::get('logs', '\Rap2hpoutre\LaravelLogViewer\LogViewerController@index');

resources/views/backend/inc/admin_nav.blade.php
<div class="aiz-topbar px-15px px-lg-25px d-flex align-items-stretch justify-content-between">
    <div class="d-xl-none d-flex">
        <div class="aiz-topbar-nav-toggler d-flex align-items-center justify-content-start mr-2 mr-md-3" data-toggle="aiz-mobile-nav">
            <button class="aiz-mobile-toggler">
                <span></span>
            </button>
        </div>
        <div class="aiz-topbar-logo-wrap d-flex align-items-center justify-content-start">
            @php
                $logo = get_setting('header_logo');
            @endphp
            <a href="{{ route('admin.dashboard') }}" class="d-block">
                @if($logo != null)
                    <img src="{{ uploaded_asset($logo) }}" class="brand-icon" alt="{{ get_setting('website_name') }}">
                @else
                    <img src="{{ static_asset('assets/img/logo.png') }}" class="brand-icon" alt="{{ get_setting('website_name') }}">
                @endif
            </a>
        </div>
    </div>
    <div class="d-flex justify-content-between align-items-stretch flex-grow-xl-1">
        <div class="d-none d-md-flex justify-content-around align-items-center align-items-stretch">

        </div>
        <div class="d-flex justify-content-around align-items-center align-items-stretch">

            <div class="aiz-topbar-item ml-2">
                <div class="align-items-stretch d-flex dropdown">
                    <a class="dropdown-toggle no-arrow text-dark" data-toggle="dropdown" href="javascript:void(0);" role="button" aria-haspopup="false" aria-expanded="false">
                        <span class="d-flex align-items-center">
                            <span class="avatar avatar-sm mr-md-2">
                                <img
                                    src="{{ static_asset(Auth::user()->avatar) }}"
                                    onerror="this.onerror=null;this.src='{{ static_asset('assets/img/avatar-place.png') }}';"
                                >
                            </span>
                            <span class="d-none d-md-block">
                                <span class="d-block fw-500">{{Auth::user()->name}}</span>
                            </span>
                        </span>
                    </a>
                    <div class="dropdown-menu dropdown-menu-right dropdown-menu-animated dropdown-menu-md">
                        <a href="{{ route('profile.index') }}" class="dropdown-item">
                            <i class="las la-user-circle"></i>
                            <span>@lang('sidebar.profile')</span>
                        </a>

                        <a href="javascript:void(0);" class="dropdown-item" onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                            <i class="las la-sign-out-alt"></i>
                            <span>@lang('sidebar.logout')</span>
                            <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                {{ csrf_field() }}
                            </form>
                        </a>
                    </div>
                </div>
            </div><!-- .aiz-topbar-item -->
        </div>
    </div>
</div><!-- .aiz-topbar -->

resources/views/backend/inc/admin_sidenav.blade.php
<div class="aiz-sidebar-wrap">
    <div class="aiz-sidebar left c-scrollbar">
        <div class="aiz-side-nav-logo-wrap">
            <a href="{{ route('admin.dashboard') }}" class="d-block text-left">
                @if(get_setting('system_logo_white') != null)
                    <img class="mw-100" src="{{ uploaded_asset(get_setting('system_logo_white')) }}" class="brand-icon" alt="{{ get_setting('site_name') }}">
                @else
                    <img class="mw-100" src="{{ static_asset('assets/img/logo.png') }}" class="brand-icon" alt="{{ get_setting('site_name') }}">
                @endif
            </a>
        </div>
        @php
            $roles = Auth::user()->role;
            $roles = json_decode($roles);
            $permissions = json_decode($roles->permissions) ?? [];

        @endphp
        {{-- @dump($permissions) --}}
        <div class="aiz-side-nav-wrap">
            {{-- <div class="px-20px mb-3 hide-text">
                <input class="form-control bg-soft-secondary border-0 form-control-sm text-white" type="text" name="" placeholder="@lang('sidebar.search-menu')" id="menu-search" onkeyup="menuSearch()">
            </div> --}}
            <ul class="aiz-side-nav-list" id="search-menu">
            </ul>
            <ul class="aiz-side-nav-list" id="main-menu" data-toggle="aiz-side-menu">
                <li class="aiz-side-nav-item {{in_array('Dashboard',$permissions) ? 'show' : ''}}">
                    <a href="{{route('admin.dashboard')}}" class="aiz-side-nav-link  {{ areActiveRoutes(['users.transactions'])}}">
                        <i class="las la-home aiz-side-nav-icon"></i>
                        <span class="aiz-side-nav-text hide-text">@lang('sidebar.Dashboard')</span>
                    </a>
                </li>

                <!-- Customers -->
                <li class="aiz-side-nav-item {{in_array('Users',$permissions) ? 'show' : ''}}" >
                <a href="{{route('users.index')}}" class="aiz-side-nav-link  {{ areActiveRoutes(['users.detail'])}} ">
                        <i class="las la-user-friends aiz-side-nav-icon"></i>
                        <span class="aiz-side-nav-text hide-text">@lang('sidebar.Users')</span>
                    </a>
                </li>

                <!-- Sale -->
                <li class="aiz-side-nav-item {{in_array('Orders',$permissions) ? 'show' : ''}}">
                    <a href="{{route('orders.index')}}" class="aiz-side-nav-link  {{ areActiveRoutes(['orders.detail'])}} {{ areActiveRoutes(['orders.detail2'])}} {{ areActiveRoutes(['orders.create'])}} {{ areActiveRoutes(['orders.changestatus'])}}">
                        <i class="las la-money-bill aiz-side-nav-icon"></i>
                        <span class="aiz-side-nav-text hide-text">@lang('sidebar.Orders')</span>
                    </a>
                </li>
                <!-- Suppliers -->
                <li class="aiz-side-nav-item {{in_array('Suppliers',$permissions) ? 'show' : ''}}">
                    <a href="{{ route('suppliers.index') }}" class="aiz-side-nav-link  {{ areActiveRoutes(['suppliers.detail'])}} {{ areActiveRoutes(['suppliers.create'])}}">
                        <i class="las la-campground aiz-side-nav-icon"></i>
                        <span class="aiz-side-nav-text hide-text">@lang('sidebar.Suppliers')</span>
                    </a>
                </li>

                <!-- Product -->
                <li class="aiz-side-nav-item {{in_array('Products',$permissions) ? 'show' : ''}}">
                    <a href="{{ route('products.index') }}" class="aiz-side-nav-link  {{ areActiveRoutes(['products.detail'])}} {{ areActiveRoutes(['products.create'])}}">
                        <i class="las la-apple-alt aiz-side-nav-icon"></i>
                        <span class="aiz-side-nav-text hide-text">@lang('sidebar.Products')</span>
                    </a>
                </li>

                <li class="aiz-side-nav-item {{in_array('Products',$permissions) ? 'show' : ''}}">
                    <a href="{{route('uploaded-files.index')}}" class="aiz-side-nav-link  {{Request::is('admin/uploaded-files/*') ? 'active' : ''}}">
                        <i class="las la-folder-open aiz-side-nav-icon"></i>
                        <span class="aiz-side-nav-text hide-text">@lang('sidebar.uploaded-files')</span>
                    </a>
                </li>

                <!-- Category -->
                <li class="aiz-side-nav-item {{in_array('Categories',$permissions) ? 'show' : ''}}">
                    <a href="{{ route('categories.index') }}" class="aiz-side-nav-link ">
                        <i class="las la-radiation-alt aiz-side-nav-icon"></i>
                        <span class="aiz-side-nav-text hide-text">@lang('sidebar.Categories')</span>
                    </a>
                </li>

                <!-- Collection -->
                <li class="aiz-side-nav-item {{in_array('Collections',$permissions) ? 'show' : ''}}">
                    <a href="{{ route('collections.index') }}" class="aiz-side-nav-link  {{ areActiveRoutes(['collections.information'])}} {{ areActiveRoutes(['collections.create'])}}">
                        <i class="las la-chart-area aiz-side-nav-icon"></i>
                        <span class="aiz-side-nav-text hide-text">@lang('sidebar.Collections')</span>
                    </a>
                </li>

                <!-- Banner -->
                <li class="aiz-side-nav-item {{in_array('Banners',$permissions) ? 'show' : ''}}">
                    <a href="{{route ('banners.index')}}" class="aiz-side-nav-link  {{ areActiveRoutes(['banners.detail'])}} {{ areActiveRoutes(['banners.create'])}}">
                        <i class="las la-columns aiz-side-nav-icon"></i>
                        <span class="aiz-side-nav-text hide-text">@lang('sidebar.Banners')</span>
                    </a>
                </li>

                <!-- Notification -->
                <li class="aiz-side-nav-item {{in_array('Notifications',$permissions) ? 'show' : ''}}">
                    <a href="{{route ('notifications.index')}}" class="aiz-side-nav-link  {{ areActiveRoutes(['notifications.detail'])}} {{ areActiveRoutes(['notifications.create'])}}">
                        <i class="las la-bell aiz-side-nav-icon"></i>
                        <span class="aiz-side-nav-text hide-text">@lang('sidebar.Notifications')</span>
                    </a>
                </li>

                <!-- Message -->
                <li class="aiz-side-nav-item {{in_array('Messages',$permissions) ? 'show' : ''}}">
                    <a href="{{route ('messages.index')}}" class="aiz-side-nav-link ">
                        <i class="las la-comment-alt aiz-side-nav-icon"></i>
                        <span class="aiz-side-nav-text hide-text">@lang('sidebar.Messages')</span>
                    </a>
                </li>

                <!-- Team Member -->
                <li class="aiz-side-nav-item {{in_array('Members',$permissions) ? 'show' : ''}}">
                    <a href="{{route ('members.index')}}" class="aiz-side-nav-link  {{ areActiveRoutes(['members.edit'])}} {{ areActiveRoutes(['members.create'])}}">
                        <i class="las la-user-friends aiz-side-nav-icon"></i>
                        <span class="aiz-side-nav-text hide-text">@lang('sidebar.Team-Members')</span>
                    </a>
                </li>

                <li class="aiz-side-nav-item {{in_array('Settings',$permissions) ? 'show' : ''}}">
                    <a href="{{route('settings.index')}}" class="aiz-side-nav-link  {{Request::is('admin/settings/*') ? 'active' : ''}}">
                        <i class="las la-dharmachakra aiz-side-nav-icon"></i>
                        <span class="aiz-side-nav-text hide-text">@lang('sidebar.Settings')</span>
                    </a>
                </li>
            </ul><!-- .aiz-side-nav -->
            <a href="javascrip:void(0);" class="toogle-menu">
                <i class="las la-arrow-circle-left"></i>
            </a>
        </div><!-- .aiz-side-nav-wrap -->
    </div><!-- .aiz-sidebar -->

    <div class="aiz-sidebar-overlay"></div>
</div><!-- .aiz-sidebar -->

resources/views/backend/inc/upload_file.blade.php
<div class="file-preview box sm">
</div>
<div data-toggle="aizuploader" data-type="image" data-multiple="{{!empty($type) && $type=='single'?'false':'true'}}">
    <img class="icon_upload"  src="/public/assets/img/cloud-upload-2.png" width="70px" height="70px" />
    <input type="hidden" name="id_files" class="selected-files" value="{{$values_file}}">
</div>

resources/views/backend/inc/upload_file_pdf.blade.php
<div class="file-preview box sm">
</div>
<div data-toggle="aizuploader"   data-multiple="{{!empty($type) && $type=='single'?'false':'true'}}">
    <img class="icon_upload"  src="/public/assets/img/cloud-upload-2.png" width="70px" height="70px" />
    <input type="hidden"  name="id_files_pdf" class="selected-files" value="{{$values_file}}">
</div>

resources/views/backend/inc/upload_file_shipping.blade.php
<div class="file-preview box sm">
</div>
<div data-toggle="aizuploader"  data-multiple="{{!empty($type) && $type=='single'?'false':'true'}}">
    <img class="icon_upload"  src="/public/assets/img/cloud-upload-2.png" width="70px" height="70px" />
    <input type="hidden"  name="id_files_shipping" class="selected-files" value="{{$values_file}}">
</div>

resources/views/backend/inc/upload_main_file.blade.php
<div class="file-preview box sm">
</div>
<div data-toggle="aizuploader" data-type="image" data-multiple="{{!empty($type) && $type=='single'?'false':'true'}}">
    <img class="icon_upload"  src="/public/assets/img/cloud-upload-2.png" width="70px" height="70px" />
    <input type="hidden" name="id_main_files" class="selected-files" value="{{$values_file}}">
</div>